> ## Documentation Index
> Fetch the complete documentation index at: https://dev.pika.art/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Pikaffects

> Generate a video with a specific Pikaffect. Supported Pikaffects: Cake-ify, Crumble, Crush, Decapitate, Deflate, Dissolve, Explode, Eye-pop, Inflate, Levitate, Melt, Peel, Poke, Squish, Ta-da, Tear



## OpenAPI

````yaml post /generate/pikaffects
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /generate/pikaffects:
    post:
      summary: Generate Pikaffects
      description: >-
        Generate a video with a specific Pikaffect. Supported Pikaffects:
        Cake-ify, Crumble, Crush, Decapitate, Deflate, Dissolve, Explode,
        Eye-pop, Inflate, Levitate, Melt, Peel, Poke, Squish, Ta-da, Tear
      operationId: generate_pikaffects_generate_pikaffects_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_generate_pikaffects_generate_pikaffects_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -X POST 'https://devapi.pika.art/generate/pikaffects' \
            -H 'X-API-KEY: your_api_key' \
            -H 'Accept: application/json' \
            -F 'pikaffect=Love Bomb' \
            -F 'promptText=A love-themed explosion scene' \
            -F 'negativePrompt=blurry, low quality' \
            -F 'seed=12345' \
            -F 'image=@image.jpg;type=image/jpg'
        - lang: python
          label: Python
          source: >

            import requests


            url = "https://devapi.pika.art/generate/pikaffects"

            payload = {
                "pikaffect": "Love Bomb",  # Choose from: Explode, Melt, Love Bomb, etc.
                "promptText": "A love-themed explosion scene",
                "negativePrompt": "blurry, low quality",
                "seed": 12345
            }

            headers = {
                "X-API-KEY": "your_api_key",
                "Accept": "application/json"
            }

            files = {
                "image": ("image.jpg", open("image.jpg", "rb"), "image/jpg")
            }

            response = requests.post(url, data=payload, headers=headers,
            files=files)

            print(response.json())
components:
  schemas:
    Body_generate_pikaffects_generate_pikaffects_post:
      properties:
        image:
          type: string
          format: binary
          title: Image
        pikaffect:
          type: string
          title: Pikaffect
        promptText:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompttext
        negativePrompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Negativeprompt
        seed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seed
      type: object
      required:
        - image
      title: Body_generate_pikaffects_generate_pikaffects_post
    GenerateResponse:
      properties:
        video_id:
          type: string
          title: Video Id
      type: object
      required:
        - video_id
      title: GenerateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````